Page MenuHomePhabricator

[clang][BPF] Update comment to include TYPE_MATCH
ClosedPublic

Authored by d-e-s-o on Jun 1 2022, 4:46 PM.

Details

Summary

D126838 added support for the TYPE_MATCH compile-once run-everywhere
relocation to LLVM proper. On the clang side no changes are necessary,
other than the adjustment of a comment to mention this relocation as well.
This change takes care of that.

Diff Detail

Event Timeline

d-e-s-o created this revision.Jun 1 2022, 4:46 PM
d-e-s-o created this object with visibility "d-e-s-o (Daniel Müller)".
d-e-s-o created this object with edit policy "d-e-s-o (Daniel Müller)".
Herald added a project: Restricted Project. · View Herald TranscriptJun 1 2022, 4:46 PM
d-e-s-o requested review of this revision.Jun 1 2022, 4:46 PM
Herald added a project: Restricted Project. · View Herald TranscriptJun 1 2022, 4:46 PM
d-e-s-o changed the visibility from "d-e-s-o (Daniel Müller)" to "Subscribers".Jun 1 2022, 4:55 PM
d-e-s-o changed the visibility from "Subscribers" to "Public (No Login Required)".Jun 2 2022, 7:41 AM

LGTM. But add the reference (https://reviews.llvm.org/D126838) to the commit message to indicate which 'earlier change'. Also let us merge it unti kernel side change is in reasonable shape.

d-e-s-o changed the edit policy from "d-e-s-o (Daniel Müller)" to "All Users".Jun 2 2022, 1:24 PM
d-e-s-o edited the summary of this revision. (Show Details)Jun 2 2022, 1:26 PM

LGTM. But add the reference (https://reviews.llvm.org/D126838) to the commit message to indicate which 'earlier change'. Also let us merge it unti kernel side change is in reasonable shape.

Adjusted the description. Thanks for the review.

Also let us merge it unti kernel side change is in reasonable shape.

From what I understand it may take several days or some other not-precisely specified time until "nightly" builds, which we use in the BPF CI, pick up the change. Hence, I was under the impression that we should attempt to merge it sooner rather than later once it's ready to be merged. The kernel changes are in good enough shape to show feasibility, so I don't really see why not, but it's your call.

Also let us merge it unti kernel side change is in reasonable shape.

From what I understand it may take several days or some other not-precisely specified time until "nightly" builds, which we use in the BPF CI, pick up the change. Hence, I was under the impression that we should attempt to merge it sooner rather than later once it's ready to be merged. The kernel changes are in good enough shape to show feasibility, so I don't really see why not, but it's your call.

We can merge after the new mechanism is acked (not patch getting merged) in kernel review.

Also let us merge it unti kernel side change is in reasonable shape.

From what I understand it may take several days or some other not-precisely specified time until "nightly" builds, which we use in the BPF CI, pick up the change. Hence, I was under the impression that we should attempt to merge it sooner rather than later once it's ready to be merged. The kernel changes are in good enough shape to show feasibility, so I don't really see why not, but it's your call.

I just discussed that with Andrii. He is also of the opinion that we should wait until the kernel changes are published. Forget about my comment and let's do that then.

Also let us merge it unti kernel side change is in reasonable shape.

From what I understand it may take several days or some other not-precisely specified time until "nightly" builds, which we use in the BPF CI, pick up the change. Hence, I was under the impression that we should attempt to merge it sooner rather than later once it's ready to be merged. The kernel changes are in good enough shape to show feasibility, so I don't really see why not, but it's your call.

We can merge after the new mechanism is acked (not patch getting merged) in kernel review.

Sounds good.

yonghong-song accepted this revision.Jun 29 2022, 5:58 PM
This revision is now accepted and ready to land.Jun 29 2022, 5:58 PM
This revision was landed with ongoing or failed builds.Jun 29 2022, 6:34 PM
This revision was automatically updated to reflect the committed changes.